petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectComposedDataSetRealstar

attach real array data to a PetscObject

### Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataSetRealstar(PetscObject obj,int id,PetscReal *data)

Not collective

### Input parameters

| obj | - the object to which data is to be attached
| id | - the identifier for the data
| data | - the data to be attached

Notes The data identifier can best be determined through a call to PetscObjectComposedDataRegister()

### Level

developer

### Location

include/petsc/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages